sources.h(3)

NAME
sources.h - Sources of synchronization and participants related clases.

SYNOPSIS

#include <string>
#include <ccrtp/rtcppkt.h>
#include <cstddef>

  Classes

class SDESItemsHolder
class Participant
A class of objects representing remote participants (RTP applications) in a multimedia session.
class SyncSource
Synchronization source in an RTP session.
class RTPApplication
An RTP application, holding identifying RTCP SDES item values. Represents local participants.
class RTPApplication::ParticipantsIterator
Iterator through the list of participants in this session.

  Functions

__EXPORT RTPApplication & defaultApplication ()
Get the RTPApplication object for the 'default' application (the only one used by common applications -those that only implement one 'RTP application').

Detailed Description

Sources of synchronization and participants related clases.

Author

Generated automatically by Doxygen for ccRTP from the source code.